- Main Page
- Data Structures
- Files
- Related Pages

- Alphabetical List
- Data Structures
- Data Fields

# _VlSiftFilt Struct Reference

SIFT filter. More...

`#include <sift.h>`

## Data Fields
double | sigman
double | sigma0
double | sigmak
double | dsigma0
int | width
int | height
int | O
int | S
int | o_min
int | s_min
int | s_max
int | o_cur
vl_sift_pix * | temp
vl_sift_pix * | octave
vl_sift_pix * | dog
int | octave_width
int | octave_height
VlSiftKeypoint * | keys
int | nkeys
int | keys_res
double | peak_thresh
double | edge_thresh
double | norm_thresh
vl_sift_pix * | grad
int | grad_o

## Detailed Description

This filter implements the SIFT detector and descriptor.

## Field Documentation

double _VlSiftFilt::sigman

nominal image smoothing.

double _VlSiftFilt::sigma0

smoothing of pyramid base.

double _VlSiftFilt::sigmak

k-smoothing

double _VlSiftFilt::dsigma0

delta-smoothing.

int _VlSiftFilt::width

image width.

int _VlSiftFilt::height

image height.

int _VlSiftFilt::O

number of octaves.

int _VlSiftFilt::S

number of levels per octave.

int _VlSiftFilt::o_min

minimum octave index.

int _VlSiftFilt::s_min

minimum level index.

int _VlSiftFilt::s_max

maximum level index.

int _VlSiftFilt::o_cur

current octave.

vl_sift_pix* _VlSiftFilt::temp

temporary pixel buffer.

vl_sift_pix* _VlSiftFilt::octave

current GSS data.

vl_sift_pix* _VlSiftFilt::dog

current DoG data.

int _VlSiftFilt::octave_width

current octave width.

int _VlSiftFilt::octave_height

current octave height.

VlSiftKeypoint* _VlSiftFilt::keys

detected keypoints.

int _VlSiftFilt::nkeys

number of detected keypoints.

int _VlSiftFilt::keys_res

size of the keys buffer.

double _VlSiftFilt::peak_thresh

peak threshold.

double _VlSiftFilt::edge_thresh

edge threshold.

double _VlSiftFilt::norm_thresh

norm threshold.

vl_sift_pix* _VlSiftFilt::grad

GSS gradient data.

int _VlSiftFilt::grad_o

GSS gradient data octave.

The documentation for this struct was generated from the following file:

- sift.h